package org.jeecg.modules.warning.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.warning.entity.Ltd;
import org.jeecg.modules.warning.entity.WellNewTable;

import java.util.List;
import java.util.Map;

public interface LtdMapper extends BaseMapper<Ltd> {
    List<Ltd> selectList(Map<String,Object> map);
    List<Ltd> selectNewOne(@Param("table") String table);
    List<Ltd> selectYData(Map<String,Object> map);
    Ltd selectDate(Map<String,Object> map);
    List<Map<String,Object>> selectAllDate(Map<String,Object> map);
    List<String> selectNewTable();
}
